package label_tagging

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_tagging"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_tagging/create label_tagging CreateLabelTagging
//
// Create label tagging information | 创建LabelTagging信息
//
// Create label tagging information | 创建LabelTagging信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelTaggingInfo
//
// Responses:
//  200: BaseMsgResp

func CreateLabelTaggingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelTaggingInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_tagging.NewCreateLabelTaggingLogic(r.Context(), svcCtx)
		resp, err := l.CreateLabelTagging(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
